## org.biojava.bio.dp
Class BackPointer

    java.lang.Object
      org.biojava.bio.dp.BackPointer

    public class BackPointer

extends Object

A backpointer.

This is used to facilitate traceback after the Viterbi computation.

Author:
  Matthew Pocock

Field Summary
`BackPointer` `back` The previous backpointer (towards origin of DP matrix) in traceback.
`double` `score` The score of this element of the DP matrix.
`State` `state` The state with which this backpointer is associated.

Constructor Summary
`BackPointer(State s)`
`BackPointer(State state, BackPointer back, double score)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    public final State state

  The state with which this backpointer is associated.

### back

    public final BackPointer back

  The previous backpointer (towards origin of DP matrix) in traceback.

### score

    public final double score

  The score of this element of the DP matrix.

Constructor Detail

### BackPointer

    public BackPointer(State state,
                       BackPointer back,
                       double score)

### BackPointer

    public BackPointer(State s)